<br/>
<div class="container header">
  <h1>{{title}}</h1>
</div>
<br/>
<div class="container">
<div class="row">
  <div class="col-md-2">
  <button type="button" class="btn btn-success" (click)="onclick()">Create User</button>
  </div>
  <div class="col-md-2">
    <button type="button" class="btn btn-info" (click)="onEdit()">Edit User</button>
  </div>
    <div class="col-md-2">
     <button type="button" class="btn btn-danger">Delete User</button>
    </div>
</div>
</div>

<!---create user-!-->
<div class="container" *ngIf="createUser">
  
  <h2 style="text-align:center">{{title}}</h2>
  
    <form #userform="ngForm" (ngSubmit)="userform.valid && onCreate(userform)">
      <div class="form-group">
      <input type="text" placeholder="Enter Your Name" [(ngModel)]="USER.name" class="form-control" name="username">
      </div>
      <br/>
      <div class="form-group">
      <input type="text" placeholder="Enter your email address" [(ngModel)]="USER.email" class="form-control" name="usermail">
    </div>
    <br/>
    <div class="form-group">
      <input type="text" placeholder="Enter your address"  class="form-control" [(ngModel)]="USER.address" name="useraddress"> 
    </div>
    <br/>
    <div class="form-group"> 
    <input type="text" placeholder="Enter your password"  class="form-control"  [(ngModel)]="USER.password" name="usepass"> 
    </div>
    <br/>
    <div class="form-group"> 
      <input type="text" placeholder="Re-enter your password" class="form-control"  [(ngModel)]="USER.repassword" name="userrepass">
    </div>
      <br/>
    
    <div class="row">
      <div class="col-md-1"><button type="submit" class="btn btn-success"> Create </button></div>
     <div class="col-md-1"><button type="button" class="btn btn-info"> Back </button></div>
    </div>
  </form>
  </div>
  <br/>
  <br/>
<div class="container tabl">
  <table class="table table-bordered ">
    <thead>
      <tr class="tablerow">
        <th>Name</th>
        <th>Email</th>
        <th>Address</th>
      </tr>
    </thead>
    
    <tbody *ngIf="showform" > 
      <tr class="tbl">
        <td>{{saveUser.name}}</td>
        <td>{{saveUser.email}}</td>
        <td>{{saveUser.address}}</td>
      </tr>
    </tbody>
    
  </table>
</div>
<!-- Edit User-->

<!--
<div class="container" *ngIf="editUser">
  <table class="table table-bordered">
      <thead>
          <tr>
            <th>Name</th>
            <th>Email</th>
            <th>Address</th>
            <th>password</th>
            <th>Vendor type</th>
          </tr>
        </thead>
  </table>
</div>-->